/* eslint-disable react-refresh/only-export-components */
import { createFileRoute } from '@tanstack/react-router'
import { CourseEditPage } from '@/features/courses'

export const Route = createFileRoute('/_authenticated/courses/$courseId')({
  component: CourseEditRoute,
})

function CourseEditRoute() {
  const { courseId } = Route.useParams()
  return <CourseEditPage courseId={courseId} />
}
